## beanprice 1.2.1+git20240619

=== requirements.txt ===
beancount>=2.3.4
python-dateutil>=2.6.0
requests>=2.0

=== debian/changelog ===
beanprice (1.2.1+git20240619-3) unstable; urgency=medium

  * debian/control: Make the binary package Breaks+Replaces
    beancount (<< 3.0). (Closes: #1091399)
  * debian/control: Make the binary package Enhances beancount.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 18:30:30 -0500

beanprice (1.2.1+git20240619-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2024 09:13:22 -0500

beanprice (1.2.1+git20240619-1) unstable; urgency=medium

  * Initial release. (Closes: #1090995)

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Dec 2024 18:19:02 -0500

=== debian/control ===
Source: beanprice
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 beancount,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-beancount,
 python3-dateutil,
 python3-pytest <!nocheck>,
 python3-requests,
Standards-Version: 4.7.0
Homepage: https://github.com/beancount/beanprice
Vcs-Git: https://salsa.debian.org/python-team/packages/beanprice.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beanprice
Rules-Requires-Root: no
Description: Price quotes fetcher for Beancount
 Beanprice is a daily price quotes fetch library for plain-text accounting.
 It provides a script to fetch market data prices from various
 sources on the internet and render them for plain text accounting price
 syntax (and Beancount).
 .
 This used to be located within Beancount itself (at v2) under
 beancount.prices. This repo will contain all future updates to that
 script and to those price sources.

Package: python3-beanprice
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 beanprice,
Enhances:
 beancount,
Breaks:
 beancount (<< 3.0),
Replaces:
 beancount (<< 3.0),
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}

## beanprice 2.0.0

=== requirements.txt ===
beancount>=3.0.0
python-dateutil>=2.6.0
requests>=2.0

=== debian/changelog ===
beanprice (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100198).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 17:06:42 +0000

beanprice (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Feb 2025 13:49:11 -0500

beanprice (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 07:51:35 -0500

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- beancount,
+ beancount (>= 3),
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
- python3-beancount,
+ python3-beancount (>= 3),
  python3-dateutil,
  python3-pytest <!nocheck>,
  python3-requests,
+ python3-setuptools,
 Standards-Version: 4.7.0
 Homepage: https://github.com/beancount/beanprice
 Vcs-Git: https://salsa.debian.org/python-team/packages/beanprice.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = beanprice

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-levenshtein-$1.tar.gz%" \
https://github.com/beancount/beanprice/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
